<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

<h:head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <title>NewHome</title>
    <h:outputStylesheet library="css" name="mainStyle.css"/>
    <link rel="preconnect" href="https://fonts.gstatic.com"/>
    <link href="https://fonts.googleapis.com/css2?family=Lato&amp;display=swap" rel="stylesheet"/>
</h:head>
<h:body>
    <f:view>
        <div id="main">
            <div id="pasek">
                <div id="logo">
                    <h:graphicImage library="css" name="logo.png" width="60" height="60" />
                </div>
                <div class="menuButton" onclick='window.location.replace("index.xhtml");'>
                    <br/>
                    Strona Główna
                </div>
                <div class="menuButton">
                    <br/>
                    O nas
                </div>
                <div class="menuButton">
                    <br/>
                    Kontakt
                </div>
                <div id="spaceInMenu">
                </div>
                <div class="menuButton">
                    <br/>
                    Rejestracja
                </div>
                <div class="menuButton">
                    <br/>
                    Zaloguj się
                </div>
            </div>
            <div id="content">
                <br/><br/>
                <h:form>
                    <div id="searchBar">
                        <h:inputText value="#{InterfejsWyszukiwania.searchPhraseForFiltr}" style="width: 30%"/>
                        <h:selectOneListbox value="#{InterfejsWyszukiwania.filtrCeny}" style="width: 20%" size="1">
                            <f:selectItem itemLabel="-- Cena --" noSelectionOption="true" />
                            <f:selectItem itemLabel="Od najwyższej" itemValue="od_najwyzszej"/>
                            <f:selectItem itemLabel="Od najniższej" itemValue="od_najnizszej"/>
                        </h:selectOneListbox>
                        <h:selectOneListbox value="#{InterfejsWyszukiwania.filtrTypu}" style="width: 20%" size="1">
                            <f:selectItem itemLabel="-- Typ --" noSelectionOption="true" itemValue="null"/>

                            <!-- Java ma downa i tutaj wywala błąd, bo zamiast "oferta" ztypować na Stringa to robi to na Mape, chociaż po odpaleniu normalnie działa jak powinno. Ignorować-->
                            <f:selectItems value="#{InterfejsWyszukiwania.typyOfert()}" var="typOferty" itemValue="#{typOferty}" itemLabel='#{typOferty.replaceAll("_"," ")}'/>

                        </h:selectOneListbox>
                        <h:commandButton value="Zatwierdź" action="#{InterfejsWyszukiwania.filtrowanie}" style="width: 10%"/>
                    </div>
                </h:form>
                <div id="panel">
                    <ui:repeat var="o" value="#{InterfejsWyszukiwania.filtrowaneOferty}">
                        <div class="oferta">
                            <div class="ofertaBody">
                                <div class="ofertaInfo">
                                    <h:form>
                                        <div class="ofertaTitle">
                                            <!--  <h2><h:outputLabel value="#{o.nazwaOferty}" /></h2> -->
                                            <h2><h:outputLink value="oferta.xhtml?ID=#{o.ID}">#{o.nazwaOferty} </h:outputLink></h2>
                                        </div>
                                    </h:form>
                                    <br/>
                                    Cena: <h:outputLabel value="#{o.cena}" />
                                    <br/>
                                    Metraż: <h:outputLabel value="#{o.metraz}" />
                                    <br/>
                                    Liczba pomieszczeń: <h:outputLabel value="#{o.liczbaPomieszczen}"/>
                                    <br/>
                                </div>
                            </div>
                            <div class="ofertaPic">
                                <h:graphicImage width="220px" height="220px" style="display: block;margin: auto;border: #47525E solid 2px"/>
                            </div>
                            <br/>
                        </div>
                        <br/>
                    </ui:repeat>
                </div>
            </div>
            <div id="footer">
                NewHome 2020 All rights reserved
            </div>
        </div>
    </f:view>
</h:body>
</html>
